Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc
Class BinaryClass

    java.lang.Object
      xjavadoc.AbstractProgramElement
          xjavadoc.AbstractClass
              xjavadoc.BinaryClass

All Implemented Interfaces:
  Comparable, Named, XClass, XProgramElement, XType

final class BinaryClass
extends AbstractClass

Describe what this class does

Author:
  Ara Abrahamian, Aslak Hellesøy

Field Summary
`static int` | `instanceCount`

Fields inherited from class xjavadoc.AbstractProgramElement
`EMPTY_LIST`

Constructor Summary
`BinaryClass(XJavaDoc xJavaDoc, Class clazz)`

Method Summary
`List` | `getInterfaces()` Returns all the implemented interfaces (if this is a class) or all the extended interfaces (if this is an interface)
`XClass` | `getSuperclass()` Describe what the method does
`boolean` | `isImplementingInterface(String full_qualified_type_name, boolean superclasses)` Returns true if it implements full_qualified_type_name (or recursively superclasses implement, if superclasses==true).
`boolean` | `isPrimitive()` Returns true if this class is a primitive.
`boolean` | `isSubclassOf(String full_qualified_type_name, boolean superclasses)` Returns true if the superclass (or recursively superclass of superclass, if superclasses==true) is full_qualified_type_name.
`boolean` | `isWriteable()` whether this class is writeable an can be save ( it can not )
`boolean` | `saveNeeded()` this class is not intended to be saved
`void` | `setDirty()` no op since we do not save binary classes

Methods inherited from class xjavadoc.AbstractClass
`addConstructor, addField, addImportedClass, addImportedPackage, addInnerClass, addInterface, addMethod, compareTo, equals, getAllSubclasses, getConstructor, getConstructors, getContainingPackage, getDeclaredInterfaces, getDirectSubclasses, getExtendingInterfaces, getField, getFields, getFields, getFields, getImplementingClasses, getImportedClasses, getImportedPackages, getInnerClasses, getMethod, getMethod, getMethods, getMethods, getMethods, getMethodTags, getName, getQualifiedName, getSuperElement, getSuperInterfaceElements, getTransformedName, getTransformedQualifiedName, getType, hashCode, hasImportedClasses, hasImportedPackages, hasInnerClasses, isA, isA, isAnonymous, isImplementingInterface, isInner, isInterface, isSubclassOf, lastModified, qualify, reset, resolveImportedClasses, save, setContainingPackage, setInterface, setName, setQualifiedName, setRealised, setSuperclass, toString, updateDoc`

Methods inherited from class xjavadoc.AbstractProgramElement
`addModifier, getContainingAbstractClass, getContainingClass, getDoc, getModifiers, getModifierSpecifier, getTagFactory, getXJavaDoc, isAbstract, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, setToken`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface xjavadoc.XClass
`getContainingClass, isAbstract`

Methods inherited from interface xjavadoc.XProgramElement
`getDoc, getModifiers, getModifierSpecifier, getXJavaDoc, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic`

Field Detail

### instanceCount

    public static int instanceCount

Constructor Detail

### BinaryClass

    public BinaryClass(XJavaDoc xJavaDoc,
                       Class clazz)

Method Detail

### getSuperclass

    public XClass getSuperclass()

  Description copied from class: `AbstractClass`
  Describe what the method does

  Specified by:
    `getSuperclass` in interface `XClass`
  Overrides:
    `getSuperclass` in class `AbstractClass`
  Returns:
    Describe the return value for method for return value

### getInterfaces

    public List getInterfaces()

  Description copied from class: `AbstractClass`
  Returns all the implemented interfaces (if this is a class) or all the extended interfaces (if this is an interface)

  Specified by:
    `getInterfaces` in interface `XClass`
  Overrides:
    `getInterfaces` in class `AbstractClass`
  Returns:
    Describe the return value for method for return value

### isWriteable

    public boolean isWriteable()

  whether this class is writeable an can be save ( it can not )

  Returns:
    false since this class can not be mutated or saved

### isImplementingInterface

    public boolean isImplementingInterface(String full_qualified_type_name,
                                           boolean superclasses)

  Description copied from interface: `XClass`
  Returns true if it implements full_qualified_type_name (or recursively superclasses implement, if superclasses==true).

  Specified by:
    `isImplementingInterface` in interface `XClass`
  Overrides:
    `isImplementingInterface` in class `AbstractClass`

### isSubclassOf

    public boolean isSubclassOf(String full_qualified_type_name,
                                boolean superclasses)

  Description copied from interface: `XClass`
  Returns true if the superclass (or recursively superclass of superclass, if superclasses==true) is full_qualified_type_name.

  Specified by:
    `isSubclassOf` in interface `XClass`
  Overrides:
    `isSubclassOf` in class `AbstractClass`

### isPrimitive

    public boolean isPrimitive()

  Description copied from interface: `XClass`
  Returns true if this class is a primitive. That is, one of the following:
  - boolean
  - byte
  - char
  - double
  - float
  - int
  - long
  - short
  - java.lang.Boolean
  - java.lang.Byte
  - java.lang.Character
  - java.lang.Double
  - java.lang.Float
  - java.lang.Integer
  - java.lang.Long
  - java.lang.Short
  - java.lang.String

  Returns:
    true if a primitive

### setDirty

    public void setDirty()

  no op since we do not save binary classes

### saveNeeded

    public boolean saveNeeded()

  this class is not intended to be saved

  Returns:
    always false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.